package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 待审核 info(表)Mapper接口
 *
 * @author xu
 * @date 2019-08-22
 */
@Mapper

public interface InfoMapper
{
    /**
     * 查询待审核企业
     */
    List<QyInfo> selectFlgInfo(@Param("info") QyInfo info);

    /**
     * id查询info(企业审核表)详细信息
     */
    QyInfo selectIdAll(String id);

    /**
     * 根据id修改企业为审核中状态(1)
     * @param id
     * @param userName
     * @return
     */
    int updateFlg(@Param("id") String id, @Param("userName") String userName,@Param("userId") String userId);

    /**
     * 只查看自己(管理员)审核中的企业
     */
    List<QyInfo>selectFlgInfoI(@Param("info") QyInfo info);

    /**
     * 查询企业申请来源字典
     */
    List<String>selectQyApply();

    /**
     * 企业改为退回状态(3)
     */
    int updateSend(@Param("info")QyInfo info);
    /**
     * 企业退回表插数据
     */
     int insertsend(@Param("send") QySend send);

    /**
     * 查询企业退回便捷语
     */
    List<String> selectqyeasy();

    /**
     * 查询企业退回便捷语在sys_dict_type表中的dict_type值(字典类型)
     */
    String selectQyvalue();

    /**
     * 插入企业便捷语
     */
    int insertQyeasy(@Param("add") String add,@Param("value") String value);

    /**
     * 查企业退回表
     */
    List<QySend>selectQySend(@Param("info")QyInfo info);

    /**
     * 更改审核企业状态为审核通过(2)
     */
    int updateFlgPass(@Param("info") QyInfo info);

    /**
     * 修改保存企业基本信息
     */
    int updateQymessage(@Param("info") QyInfo info);

    /**
     * 根据企业的bsid查询党建信息
     * @param bsId
     * @return
     */
    QyDjxx selectQyjdxx(String bsId) ;

    /**
     * 法定代表人、董事、监事、经理表单
     */
    List<QyPerson> selectidPerson(String bsid);

    /**
     * 股东出资人表单
     */
    List<QyCzrxx> selectCzrxx(String bsId);

    /**
     *   修改有党建组织党建信息
     */
   int updateQyjdzzAll(@Param("djxx") QyDjxx djxx);

    /**
     * 修改没有党建组织党建信息
     * @param djxx
     * @return
     */
     int updateQyjdzz(@Param("djxx") QyDjxx djxx);

    /**
     * 查询财务负责人
     * @param bsid
     * @return
     */
     QyPerson selectFinance(String bsid);

    /**
     * 修改保存财务负责人
     * @param person
     * @return
     */
    int updateFinance(@Param("person") QyPerson person);

    /**
     * 查看股东人详细信息
     * @param id
     * @return
     */
     QyCzrxx selectCzrxxById(@Param("id") String id);

    /**
     * 保存更新股东详细信息
     * @param czrxx
     * @return
     */
    int updateQyCzrxx(@Param("czrxx") QyCzrxx czrxx);

    /**
     * 法定法定代表人、董事、监事、经理详细信息
     * @param id
     * @return
     */
     QyPerson selectQyPersonById(String id);

    /**
     * 修改保存法定法定代表人、董事、监事、经理详细信息
     * @param person
     * @return
     */
     int updateQyPerson(@Param("person") QyPerson person);
}
